import { Metadata, NextPage } from 'next';
import { setTimeout } from 'node:timers/promises';

export async function generateMetadata(): Promise<Metadata> {
  await setTimeout(2000);

  return {
    title: '42 neue Bücher | Meine Bibliothek',
  };
}

const BooksPage: NextPage = () => {
  return (
    <div>
      <h1>Bücherliste</h1>
      <p>Hier könnte eine Liste mit Büchern angezeigt werden.</p>
    </div>
  );
};

export default BooksPage;
